## wmcalc 0.3

=== Makefile ===
INCLUDES =-I/usr/X11R6/include/X11 -I/usr/local/include
LIBINC =-L/usr/X11R6/lib
LIBS = -lX11 -lXpm -lXext -lm

TARGET = wmcalc
OBJECTS = wmcalc.o readln.o wmcalcswitch.o wmcalcfunc.o

.c.o:
	gcc -O2 -c -Wall ${INCLUDES} ${FLAGS} $< -o $*.o

${TARGET}: ${OBJECTS}
	gcc -O2 -o ${TARGET} ${OBJECTS} ${LIBINC} ${LIBS}

clean::
	for i in ${OBJECTS}; do if [ -e $$i ] ; then rm $$i; fi; done 
	if [ -e ${TARGET} ] ; then rm ${TARGET}; fi

## wmcalc 0.5

=== Makefile ===
LIBS = -lX11 -lXpm -lXext -lm
CC = gcc
TARGET = wmcalc
OBJECTS = wmcalc.o readln.o wmcalcswitch.o wmcalcfunc.o
CFLAGS = -O2 -Wall
DESTDIR =
PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man/man1
CONF   = /etc
INSTALL = /usr/bin/install
INSTALL_DIR	= $(INSTALL) -d
INSTALL_PROGRAM = $(INSTALL)
INSTALL_FILE    = $(INSTALL) -m 644

.c.o:
	$(CC) -DCONF=\"$(CONF)\" $(CPPFLAGS) $(CFLAGS) -c $< -o $*.o

$(TARGET): $(OBJECTS)
	$(CC) $(LDFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS)

clean::
	for i in $(OBJECTS); do if [ -e $$i ] ; then rm $$i; fi; done
	if [ -e $(TARGET) ] ; then rm $(TARGET); fi

install::
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
	$(INSTALL_PROGRAM) wmcalc $(DESTDIR)$(BINDIR)
	$(INSTALL_DIR) $(DESTDIR)$(CONF)
	$(INSTALL_FILE) wmcalc.conf $(DESTDIR)$(CONF)
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man1
	$(INSTALL_FILE) wmcalc.1 $(DESTDIR)$(MANDIR)

=== debian/changelog ===
wmcalc (0.5-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer (Closes: #775061).
  * debian/compat
    - Bump to 9.
  * debian/control
    - Bump versioned dependency on debhelper to >= 9.
    - Remove dpatch from Build-Depends.
    - Bump Standards-Version to 3.9.6.
    - Add Vcs-* and Homepage.
  * debian/copyright
    - Update to DEP5 machine-readable format version 1.0.
  * debian/dirs
    - Remove unnecessary file.
  * debian/docs
    - New file; install README.
  * debian/patches
    - Switch from dpatch to quilt.
    - (01_restore_pristine_code.dpatch) Remove file; patch applied upstream.
    - (10_bts-320597_increase_significant_digits.patch) Refresh for new
       upstream version; convert to DEP3 header.
    - (fix_makefile_typo.patch) Correctly create the directory
      /usr/share/man/man1 instead of /usr/share/man/man1/man1.
    - (fix_manpage_spelling.patch) Avoid Lintian warning.
  * debian/README.source
    - Remove unnecessary file.
  * debian/rules
    - Update to use dh.
    - Add override_dh_auto_install target to set PREFIX to /usr.
    - Add get-orig-source target.
    - Add override_dh_auto_build target to use CFLAGS from dpkg-buildflags.
  * debian/source/format
    - New file; use 3.0 (quilt).
  * debian/watch
    - New file.
  * debian/wmcalc.1
    - Remove file; added upstream.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sat, 10 Jan 2015 17:18:03 -0600

wmcalc (0.3-7) unstable; urgency=low

  * QA upload.
  * debian/control
    - Set maintainer to QA Group.
    - Remove additional spaces from long description (paragraph filling).
    - Add ${misc:Depends} to binary package Depends.
  * debian/rules
    - Remove 'configure' target, since not needed.
    - Merge 'rm' call into 'dh_clean' one.
    - Remove dh_link call, not needed.

 -- Sandro Tosi <morph@debian.org>  Sat, 27 Dec 2008 22:43:16 +0100

wmcalc (0.3-6) unstable; urgency=low

  * debian/control
    - Remove x-dev from build-depends because it's a transitional package to
      x11proto-core-dev, but libxext-dev depends on x11proto-core-dev
    - Bump Standards-Version to 3.8.0.
      + Add debian/README.source.

 -- Sandro Tosi <matrixhasu@gmail.com>  Fri, 11 Jul 2008 23:17:02 +0200

wmcalc (0.3-5) unstable; urgency=low

  * debian/control
    - Bump Standard-Version to 3.7.3.
  * debian/menu
    - Update to new menu policy.
  * debian/copyright
    - Upstream author and copyright indented with 4 spaces.
    - Local license text now points to the generic GPL symlink.
  * debian/patches/10_bts-320597_increase_significant_digits.dpatch
    - Add to increase significant digits in calculations; thanks to Antony
      Gelberg (Closes: #320597).
  * debian/wmcalc.1
    - Add a note about improper operations execution order (Closes: 404701)
    - Escape minus signs (lintian warning).

 -- Sandro Tosi <matrixhasu@gmail.com>  Mon, 21 Jan 2008 23:27:20 +0100

wmcalc (0.3-4) unstable; urgency=low

  * New maintainer (Closes: #427132)
  * debian/control
    - Bump Standard-Version to 3.7.2.
    - Small reformat of short and long descriptions.
    - Add Build-Depends on dpatch.
  * debian/copyright
    - Set myself as new maintainer.
    - Fix copyright note.
    - Add license note.
    - Add location of GPLv2 on a debian system.
  * debian/rules
    - Add explicit manpage filename to dh_installman.
    - Add explicit doc filename to dh_installdocs.
    - Integrate dpatch.
    - Fix lintian warning about make clean call.
    - Remove unneeded dh_installinfo call.
  * debian/manpages
    - Remove file.
  * debian/docs
    - Remove file.
  * debian/menu
    - Fix section to Applications.
  * debian/patches/01_restore_pristine_code.dpatch
    - Add to remove source code modification.
  * {wmcalc.c,Makefile,wmcalc_c.h,wmcalcswitch.c}
    - Restore to upstream version
  * debian/wmcalc.1
    - Fix a lintian warning about a minus sign not escaped.
  * wmcalc.conf
    - Remove file since created by
      debian/patches/01_restore_pristine_code.dpatch

 -- Sandro Tosi <matrixhasu@gmail.com>  Sat, 13 Oct 2007 10:56:35 +0200

wmcalc (0.3-3) unstable; urgency=low

  * Orphan package, set maintainer to Debian QA Group.

 -- Gordon Fraser <gordon@debian.org>  Sat, 02 Jun 2007 06:18:54 +0200

wmcalc (0.3-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Change path to X11 include and lib dirs (Closes: #365158).

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Fri, 12 May 2006 18:17:47 +0200

wmcalc (0.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Split xlibs-dev build depends into individual Xorg libraries
    (Closes: #346886).
  * Make package lintian clean:
    - Update to Standards version 3.6.2.1.
    - Update to debhelper v5 (Closes: #322838).
    - Quote strings in menu file.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 13 Jan 2006 20:59:30 +0100

wmcalc (0.3-2) unstable; urgency=low

  * Update manpage.
  * Remove unused files.
  * Remove compiler warnings.

 -- Gordon Fraser <gordon@debian.org>  Tue,  5 Feb 2002 11:44:36 +0100

wmcalc (0.3-1) unstable; urgency=low

  * Initial release (Closes: #113948).

 -- Gordon Fraser <gordon@freakzone.net>  Wed, 19 Sep 2001 21:33:45 +0200

=== debian/control ===
Source: wmcalc
Section: x11
Priority: optional
Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, libxpm-dev
Standards-Version: 3.9.6
Homepage: http://windowmaker.org/dockapps/?name=wmcalc
Vcs-Git: https://github.com/d-torrance/wmcalc.git
Vcs-Browser: https://github.com/d-torrance/wmcalc

Package: wmcalc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dockable calculator application
 Wmcalc is a small calculator meant for the WindowMaker dock or
 Afterstep Wharf. It is a simple calculator with basic functions and
 memory slots, and can launch any external application for more
 complex calculations.

## wmcalc 0.6

=== Makefile ===
--- 
+++ 
@@ -28,5 +28,5 @@
 	$(INSTALL_PROGRAM) wmcalc $(DESTDIR)$(BINDIR)
 	$(INSTALL_DIR) $(DESTDIR)$(CONF)
 	$(INSTALL_FILE) wmcalc.conf $(DESTDIR)$(CONF)
-	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man1
+	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)
 	$(INSTALL_FILE) wmcalc.1 $(DESTDIR)$(MANDIR)

=== debian/changelog ===
wmcalc (0.6-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:50:36 +0000

wmcalc (0.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
  * debian/copyright,patches
    - Update email address.
  * debian/patches
    - Remove directory; patches applied upstream.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 23 Aug 2015 09:49:03 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: wmcalc
 Section: x11
 Priority: optional
-Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
+Uploaders: Doug Torrance <dtorrance@piedmont.edu>
 Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, libxpm-dev
 Standards-Version: 3.9.6
 Homepage: http://windowmaker.org/dockapps/?name=wmcalc
-Vcs-Git: https://github.com/d-torrance/wmcalc.git
-Vcs-Browser: https://github.com/d-torrance/wmcalc
+Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmcalc.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmcalc.git
 
 Package: wmcalc
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(shell dpkg-buildflags --get CFLAGS)"

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

get-orig-source:
	uscan --verbose --force-download --no-symlink
	@if test -e ../wmcalc-*.download ; then \
		rename -f -v "s/wmcalc-(.+)\.download/wmcalc_\1\.orig\.tar\.gz/" \
			../wmcalc-*.download; \
	fi

## wmcalc 0.7

=== debian/changelog ===
wmcalc (0.7-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Doug Torrance ]
  * debian/control
    - Use new tracker.d.o Maintainer email address.
    - Bump to debhelper compatibility level 13.
    - Bump Standards-Version to 4.6.0.
    - Add Rules-Requires-Root (no).
  * debian/salsa-ci.yml
    - Add Salsa pipeline config file.
  * debian/upstream/metadata
    - Add Bug-* fields.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 23 Sep 2021 21:19:21 -0400

wmcalc (0.7-1) unstable; urgency=medium

  * New upstream release.
    - Null-terminate display string when clearing (Closes: #564173).
  * debian/compat
    - Bump debhelper compatibility level to 11.
  * debian/control
    - Update Maintainer email address.
    - Bump versioned dependency on debhelper to >= 11.
    - Add pkg-config to Build-Depends.
    - Bump Standards-Version to 4.2.1.
    - Update Homepage.
    - Update Vcs-* after migration to Salsa.
    - Sort Depends alphabetically.
  * debian/copyright
    - Update Format URL to https.
    - Update Upstream-Contact email address.
    - Update Source URL.
  * debian/menu
    - Remove deprecated Debian menu file.
  * debian/rules
    - Use all hardening flags.
    - Remove get-orig-source target; we now use uscan.
    - Remove override targets; unnecessary after upstream switched to
      autotools for build.
  * debian/upstream/metadata
    - New DEP-12 upstream metadata file.
  * debian/watch
    - Update with new download location.

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 14 Sep 2018 19:04:43 -0400

=== debian/control ===
Source: wmcalc
Section: x11
Priority: optional
Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper-compat (= 13),
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               pkg-config
Standards-Version: 4.6.0
Homepage: https://www.dockapps.net/wmcalc
Vcs-Git: https://salsa.debian.org/wmaker-team/wmcalc.git
Vcs-Browser: https://salsa.debian.org/wmaker-team/wmcalc
Rules-Requires-Root: no

Package: wmcalc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: dockable calculator application
 Wmcalc is a small calculator meant for the WindowMaker dock or
 Afterstep Wharf. It is a simple calculator with basic functions and
 memory slots, and can launch any external application for more
 complex calculations.
